
/* Host alias */
#undef CONFIG_STRING

/* Whether infinity() is defined in math.h */
#undef HAVE_INFINITY

#ifndef HAVE_INFINITY
#define infinity() (HUGE_VAL)
#endif /* !HAVE_INFINITY */

/* Whether signal handlers are posix compliant */
#undef HAVE_POSIX_SIGHANDLER

#ifdef HAVE_POSIX_SIGHANDLER
typedef void (*SIGHANDLER_TYPE)(int);
#else
typedef void (*SIGHANDLER_TYPE)();
#endif

/* Whether hrtime_t is defined in sys/time.h  or sys/types.h */
#undef HAVE_HRTIME_T

#ifndef HAVE_HRTIME_T
/* We absolutely need a compiler supporting the "long long" spec here */
typedef long long int hrtime_t;
#endif /* !HAVE_HRTIME_T */

/* Whether useconds_t is defined in sys/types.h  */
#undef HAVE_USECONDS_T

#ifndef HAVE_USECONDS_T
typedef unsigned int useconds_t;
#endif /* !HAVE_USECONDS_T */

/* Whether clockid_t is defined in sys/types.h  */
#undef HAVE_CLOCKID_T

#ifndef HAVE_CLOCKID_T
typedef struct rtl_clock *clockid_t;
#endif /* !HAVE_CLOCKID_T */

/* Whether pthread_t is defined in sys/types.h. If true, this definition is
    expected to be replaced by Ck's one in a patched version of
    sys/types.h. In such a case, this flag tells rtl_sched.h not to redefine
    pthread_t and some other pthread-related types. */
#undef HAVE_SYS_PTHREAD_T

@TOP@
